/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       UserLcd.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Empty template to be used for all .h files. This file provides an example for the case in which a
 *                detailed description is not needed.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef USERLCD_H
#define USERLCD_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Rte_UserControl.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern Rte_LcdInterfaceType USerControl_gt_GlobalInterface;
extern Rte_DirectionType USerControl_gt_Direction;
extern Rte_SpeedType USerControl_gt_Speed;
extern Rte_UartEnableType UserControl_gt_UartIndicator;
extern Rte_MotorFlagType UserControl_gt_StartFlag;
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void UserControl_Init(void);
extern void UserControl_Main(void);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* USERLCD_H */
